local load_file = function (filename)
	return dofile(minetest.get_modpath(minetest.get_current_modname()) .. "/" .. filename .. ".lua")
end
rawset(_G, "load_file", load_file)

local blockgame = {}
rawset(_G, "blockgame", blockgame)

load_file("event")

load_file("util_table")
load_file("util_string")
load_file("util_debug")
load_file("util_random")
load_file("util_vector")

load_file("util_node")
load_file("util_item")

load_file("wrappers")

load_file("random_tick")
load_file("increasing_abm")
load_file("loose_node")
load_file("fall_fix")
load_file("leveled_node")

load_file("privs")

load_file("cleanup")
