local modname = minetest.get_current_modname()

blockgame.register_node("stone", {
	description = "Stone",
	groups = {
		cracky = 3,
		stoney = 1,
	},
	drop = modname .. ":cobblestone",
})

blockgame.register_node("cobblestone", {
	description = "Cobblestone",
	groups = {
		cracky = 3,
		stoney = 1,
	},
	loose_variant = "cobblestone_loose",
})

minetest.register_alias("mapgen_stone", modname .. ":stone")
minetest.register_alias("mapgen_water_source", "air")

blockgame.register_node("grass", {
	description = "Grass",
	groups = {
		dirty = 1,
	},
	drop = modname .. ":dirt",
})

blockgame.register_node("dirt", {
	description = "Dirt",
	groups = {
		dirty = 1,
		grassable = 1,
	},
	loose_variant = "dirt_loose",
})
