# about

this is a game for the [minetest](https://www.minetest.net/) engine. a big inspiration is [nodecore](https://content.minetest.net/packages/Warr1024/nodecore/).

basically all current recipes are placeholders.

initially, textures were taken from minetestgame. some of these are still left in.

# how to install

download this entire directory and place it inside `~/.minetest/games/` (or wherever your minetest games are stored). then select this game (it's the one with a trans flag as icon) in the minetest menu.

# how to do stuff

two decorative stone variants, tiles and bricks, can be created by pummeling cobblestone and tiles respectively. you must be holding cobblestone while doing this, and the targetted node must be on top of a stone-type node.

pummeling is when you punch a node repeatedly. it's a mechanic taken directly from nodecore.

you can turn a log into planks by pummeling it with stone. there must be air on all 4 horizontal sides of the log.

you can grow a tree by placing a dirty node (dirt or grass) on top of a nut. this will create a sapling, which will grow into something vaguely resembling a tree (including roots in the ground). you can get nuts (sometimes) from mining leaves from trees.

saplings will occur naturally. in the future, they'll be replaced by actual trees, but for now, you'll have to wait.

you can create dirt by placing leaves next to dirt or grass; eventually they'll start decomposing. this does not work for growing or living leaves (which are unobtainable as items anyways).

you start running over time as you move. this also makes you jump higher (although it does not make you take less fall damage).

# warning

updates might introduce changes that are not backwards-compatible. will probably use [semantic versioning](https://semver.org/) eventually.

will try to make sure new code includes ways of converting stuff in old worlds to work with the new code, but don't guarantee it.
