-- move from old modnames to new ones. (old ones didn't have the `bg_` prefix.)
minetest.register_lbm({
	name = "bg_api:rename_legacy_nodes",
	nodenames = {
		"tree:log",
		"tree:log_alive",
		"tree:leaves",
		"tree:leaves_alive",
		"tree:sapling",
		"tree:root",
		"tree:nut",
		"stoneworking:tile",
		"stoneworking:bricks",
	},
	run_at_every_load = true,
	action = function (pos, node)
		local name = node.name
		minetest.set_node(pos, {name = "bg_" .. name})
	end,
})
