local modname = minetest.get_current_modname()

minetest.register_decoration({
	deco_type = "simple",
	place_on = {"bg_terrain:grass"},
	sidelen = 16,
	-- fill_ratio = 0.025,
	noise_params = {
		offset = -0.001,
		scale = 0.015,
		spread = {x = 64, y = 64, z = 64},
		octaves = 3,
		persistence = 0.6,
	},
	y_min = -31000,
	y_max = 31000,
	decoration = modname .. ":sapling",
})
